function fmidemo
%FMIDEMO Demonstration to the Fuzzy Modeling and Identification Toolbox.
%        Presents a menu with different examples.

%       Copyright (c) 1997 Robert Babuska.

close all

labels = str2mat(...
        'Static SISO function', ...
        'SISO model of throttle--speed relation', ...
        'MISO model of throttle--pressure relation', ...
        'SIMO model of throttle--(speed,pressure) relation', ...
        'SIMO model of waste-water treatment process', ...
        'SISO model of one-tank process', ...
        'MIMO model of four-tank process');

% Callbacks
callbacks = [ ...
        'statdemo  '
        'endemo1   '
        'endemo2   '
        'endemo3   '
        'wwdemo    '
        'lldemo1   '
        'll4demo1  '];

choices('FMIDEMO', 'Fuzzy Modeling and Identification Toolbox Demo', labels, callbacks);

